diff -uwrN source/scripts/DBIKScripts.cpp sourceold/scripts/DBIKScripts.cpp
--- source/scripts/DBIKScripts.cpp	2016-11-19 11:05:09.562453500 +1000
+++ sourceold/scripts/DBIKScripts.cpp	2016-11-05 18:51:15.478826100 +1000
@@ -279,7 +279,7 @@
 	GameObject* WeaponObj = Commands->Create_Object(Preset, WeaponPos);
 	if (WeaponObj) {
 		WeaponID = Commands->Get_ID(WeaponObj);
-		Attach_Script_Once_V(WeaponObj, "dblaney_Nod_Obelisk_Weapon", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
+		Attach_Script_Once_V(WeaponObj, "Obelisk_Buildable_Weapon_CnC", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
 		//Commands->Attach_Script(WeaponObj, "Obelisk_Weapon_CnC", "");
 	}
 	*/
@@ -330,7 +330,7 @@
 
 					if (WeaponObj) {
 						WeaponID = Commands->Get_ID(WeaponObj);
-						Attach_Script_Once_V(WeaponObj, "dblaney_Nod_Obelisk_Weapon", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
+						Attach_Script_Once_V(WeaponObj, "Obelisk_Buildable_Weapon_CnC", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
 						//Commands->Attach_Script(WeaponObj, "Obelisk_Weapon_CnC", "");
 					}
 				}
@@ -367,11 +367,11 @@
 	MaxRange = Get_Float_Parameter("MaxRange");
 	ChargeTime = Get_Float_Parameter("ChargeTime");
 	GroundOnly = Get_Int_Parameter("GroundOnly");
-	/*dblaney_Nod_Obelisk_Weapon
+	/*
 	GameObject* WeaponObj = Commands->Create_Object(Preset, WeaponPos);
 	if (WeaponObj) {
 		WeaponID = Commands->Get_ID(WeaponObj);
-		Attach_Script_Once_V(WeaponObj, "dblaney_Nod_Obelisk_Weapon", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
+		Attach_Script_Once_V(WeaponObj, "Obelisk_Buildable_Weapon_CnC", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
 		//Commands->Attach_Script(WeaponObj, "Obelisk_Weapon_CnC", "");
 	}
 	*/
@@ -421,7 +421,7 @@
 
 					if (WeaponObj) {
 						WeaponID = Commands->Get_ID(WeaponObj);
-						Attach_Script_Once_V(WeaponObj, "dblaney_Nod_Obelisk_Weapon", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
+						Attach_Script_Once_V(WeaponObj, "Obelisk_Buildable_Weapon_CnC", "%f,%f,%i", MaxRange, ChargeTime, GroundOnly);
 						//Commands->Attach_Script(WeaponObj, "Obelisk_Weapon_CnC", "");
 					}
 				}
@@ -443,7 +443,7 @@
 
 ScriptRegistrant<dblaney_Nod_Obelisk_Structure> dblaney_Nod_Obelisk_Structure_Registrant("dblaney_Nod_Obelisk_Structure", "ObeliskEmitterPreset=Nod_Obelisk:string,MaxRange=150:float,ChargeTime=2:float,GroundOnly=0:int,OffsetHeight=22:float");
 
-void dblaney_Nod_Obelisk_Weapon::Created(GameObject* WeaponObj) {
+void Obelisk_Buildable_Weapon_CnC::Created(GameObject* WeaponObj) {
 	// Some settings
 	Commands->Set_Is_Rendered(WeaponObj, false); // It's not visible
 	Commands->Set_Player_Type(WeaponObj, 0); // We're a Nod Obelisk, GDI will not own an Obelisk
@@ -461,11 +461,11 @@
 	EffectID = NULL;
 }
 
-void dblaney_Nod_Obelisk_Weapon::Destroyed(GameObject* WeaponObj) {
+void Obelisk_Buildable_Weapon_CnC::Destroyed(GameObject* WeaponObj) {
 	StopFiring(WeaponObj);
 }
 
-bool dblaney_Nod_Obelisk_Weapon::IsValidEnemy(GameObject* WeaponObj, GameObject* EnemyObj) {
+bool Obelisk_Buildable_Weapon_CnC::IsValidEnemy(GameObject* WeaponObj, GameObject* EnemyObj) {
 	if (!EnemyObj) return false;
 	// TODO: Make switch for obby kills neutral?
 	// NEUTRAL:  if (Commands->Get_Player_Type(EnemyObj) == Commands->Get_Player_Type(WeaponObj)) return false;
@@ -489,7 +489,7 @@
 	return DistanceXY > 15 && Distance < MaxRange;
 }
 
-void dblaney_Nod_Obelisk_Weapon::StartFiring(GameObject* WeaponObj) {
+void Obelisk_Buildable_Weapon_CnC::StartFiring(GameObject* WeaponObj) {
 	// Start effect
 	StartEffect(WeaponObj);
 
@@ -501,7 +501,7 @@
 	Firing = true;
 }
 
-void dblaney_Nod_Obelisk_Weapon::StopFiring(GameObject* WeaponObj) {
+void Obelisk_Buildable_Weapon_CnC::StopFiring(GameObject* WeaponObj) {
 	// Stop effect
 	StopEffect(WeaponObj);
 
@@ -514,7 +514,7 @@
 	StopFireAt(WeaponObj);
 }
 
-void dblaney_Nod_Obelisk_Weapon::StartEffect(GameObject* WeaponObj) {
+void Obelisk_Buildable_Weapon_CnC::StartEffect(GameObject* WeaponObj) {
 	Commands->Create_Sound("Obelisk_Warm_Up", Commands->Get_Position(WeaponObj), WeaponObj);
 
 	GameObject* EffectObj = Commands->Create_Object("Obelisk Effect", Commands->Get_Position(WeaponObj));
@@ -522,14 +522,14 @@
 		EffectID = Commands->Get_ID(EffectObj);
 	}
 }
-void dblaney_Nod_Obelisk_Weapon::StopEffect(GameObject* WeaponObj) {
+void Obelisk_Buildable_Weapon_CnC::StopEffect(GameObject* WeaponObj) {
 	GameObject* EffectObj = Commands->Find_Object(EffectID);
 	if (EffectObj) {
 		Commands->Destroy_Object(EffectObj);
 	}
 }
 
-void dblaney_Nod_Obelisk_Weapon::FireAt(GameObject* WeaponObj, GameObject* EnemyObj)
+void Obelisk_Buildable_Weapon_CnC::FireAt(GameObject* WeaponObj, GameObject* EnemyObj)
 {
 	Vector3 pos;
 	if(EnemyObj->As_SoldierGameObj())
@@ -551,7 +551,7 @@
 	Commands->Start_Timer(WeaponObj, this, 1, 3);
 }
 
-void dblaney_Nod_Obelisk_Weapon::FaceEnemy(GameObject* WeaponObj, GameObject* EnemyObj)
+void Obelisk_Buildable_Weapon_CnC::FaceEnemy(GameObject* WeaponObj, GameObject* EnemyObj)
 {
 	ActionParamsStruct FaceParams;
 	FaceParams.Set_Basic(this, 90, 0);
@@ -559,12 +559,12 @@
 	Commands->Action_Attack(WeaponObj, FaceParams);
 }
 
-void dblaney_Nod_Obelisk_Weapon::StopFireAt(GameObject* WeaponObj)
+void Obelisk_Buildable_Weapon_CnC::StopFireAt(GameObject* WeaponObj)
 {
 	Commands->Action_Reset(WeaponObj, 100);
 }
 
-void dblaney_Nod_Obelisk_Weapon::Timer_Expired(GameObject* WeaponObj, int Number) {
+void Obelisk_Buildable_Weapon_CnC::Timer_Expired(GameObject* WeaponObj, int Number) {
 	if (Number == 1) {
 		// Charged; Set variable and try to fire
 		Charged = true;
@@ -635,7 +635,7 @@
 	}
 }
 
-void dblaney_Nod_Obelisk_Weapon::Enemy_Seen(GameObject* WeaponObj, GameObject* EnemyObj) {
+void Obelisk_Buildable_Weapon_CnC::Enemy_Seen(GameObject* WeaponObj, GameObject* EnemyObj) {
 
 	if (GroundOnly == 1)
 		if (Is_VTOL(EnemyObj))
@@ -667,14 +667,13 @@
 		StartFiring(WeaponObj);
 	}
 }
-void dblaney_Nod_Obelisk_Weapon::Register_Auto_Save_Variables() {
+void Obelisk_Buildable_Weapon_CnC::Register_Auto_Save_Variables() {
 	Auto_Save_Variable(&EnemyID, 4, 1);
 	Auto_Save_Variable(&EffectID, 4, 1);
 	Auto_Save_Variable(&Firing, 1, 3);
 	Auto_Save_Variable(&Charged, 1, 4);
 }
 
-ScriptRegistrant<dblaney_Nod_Obelisk_Weapon> dblaney_Nod_Obelisk_Weapon_Registrant("dblaney_Nod_Obelisk_Weapon", "MaxRange=150:float,ChargeTime=2:float,GroundOnly=0:int,Team=0:int");
 
 void DB_Power_Down_Console::Created(GameObject *obj)
 {
@@ -884,176 +883,3 @@
 
 ScriptRegistrant<DB_Grant_Keycard_Killed> DB_Grant_Keycard_Killed_Registrant("DB_Grant_Keycard_Killed","KeyLevel=1:int");
 ScriptRegistrant<DB_Grant_Keycard_Timer> DB_Grant_Keycard_Timer_Registrant("DB_Grant_Keycard_Timer","KeyLevel=1:int");
-
-
-void  DB_Infantry_Place_Buildable_Object::Created(GameObject *obj)
-{
-	canRegen = false;
-	previewObjectId = 0;
-	reloadTime = 0;
-	if (!Has_Weapon(obj,Get_Parameter("WeaponPreset")) && Get_Int_Parameter("GrantWeapon"))
-		Grant_Weapon(obj,Get_Parameter("WeaponPreset"),true,1,0);
-	Commands->Start_Timer(obj,this,0.25f,1);
-	Commands->Start_Timer(obj,this,1.0f,2);
-}
-void  DB_Infantry_Place_Buildable_Object::Timer_Expired(GameObject *obj,int number)
-{
-	if (number == 1)
-	{
-		if (!Commands->Get_Health(obj))
-			return;
-		const char *weap = Get_Current_Weapon(obj);
-		if (weap && !_stricmp(weap,Get_Parameter("WeaponPreset")) && !Get_Vehicle(obj) && !reloadTime)
-		{
-			if (!previewObjectId)
-			{
-				GameObject *preview = Commands->Create_Object("Invisible_Object",Commands->Get_Position(obj));
-				previewObjectId = Commands->Get_ID(preview);
-				Update_Network_Object(preview);
-				Set_Object_Visibility(previewObjectId,false);
-				//if ((int)Get_Vector3_Parameter("MatchTeam[Preview|Deployed|Repaired]").X)
-					Commands->Set_Player_Type(preview,Commands->Get_Player_Type(obj));
-				Commands->Attach_To_Object_Bone(preview,obj,"origin");
-				if (!placementBlocked)
-					Commands->Set_Model(preview,Get_Parameter("PlaceablePreview"));
-				else
-					Commands->Set_Model(preview,Get_Parameter("UnPlaceablePreview"));
-				Set_Object_Visibility_For_Player(obj,previewObjectId,true);
-			}
-		}
-		else if (previewObjectId)
-			DestroyPreview();
-		Commands->Start_Timer(obj,this,0.25f,1);
-	}
-	if (number == 2)
-	{
-		if (reloadTime && canRegen)
-		{
-			reloadTime--;
-			if (!reloadTime)
-			{
-				Set_Bullets(obj,Get_Parameter("WeaponPreset"),1);
-				Send_Message_Player(obj,255,255,255,Get_Parameter("PlacementMessage")); 
-			}
-		}
-		Commands->Start_Timer(obj,this,1.0f,2);
-	}
-}
-void  DB_Infantry_Place_Buildable_Object::Custom(GameObject *obj,int message,int param,GameObject *sender)
-{
-	if (message == Get_Int_Parameter("DeployCustom"))
-	{
-		if (Get_Vehicle(obj) || !Commands->Get_Health(obj))
-			return;
-		const char *weap = Get_Current_Weapon(obj);
-		if (!weap || _stricmp(weap,Get_Parameter("WeaponPreset")))
-			return;
-		if (obj->As_SoldierGameObj() && obj->As_SoldierGameObj()->Is_Airborne())
-		{
-			Send_Message_Player(obj,255,255,255,"You must be on the ground to place this!");
-			return;
-		}
-		if (obj->As_SoldierGameObj() && obj->As_SoldierGameObj()->Is_On_Ladder())
-		{
-			Send_Message_Player(obj,255,255,255,"You cannot place this while climbing ladders!");
-			return;
-		}
-		if (placementBlocked)
-		{
-			Send_Message_Player(obj,255,255,255,Get_Parameter("DeploymentBlockedMessage"));
-			return;
-		}
-		if (!canRegen && reloadTime)
-		{
-			Send_Message_Player(obj,255,255,255,"You must repair the last one you placed before you can place another.");
-			return;
-		}
-		if (reloadTime)
-		{
-			char reloadTimeMessage[220];
-			sprintf(reloadTimeMessage,"You must wait another %d seconds before you can place this.",reloadTime);
-			Send_Message_Player(obj,255,255,255,reloadTimeMessage);
-			return;
-		}
-		if (Get_Float_Parameter("Cost") && Commands->Get_Money(obj) < Get_Float_Parameter("Cost"))
-		{
-			char costMessage[220];
-			sprintf(costMessage,"You need $%d to place this.",Get_Float_Parameter("Cost"));
-			Send_Message_Player(obj,255,255,255,costMessage);
-			return;
-		}
-		if (Get_Float_Parameter("Cost"))
-			Commands->Give_Money(obj,-Get_Float_Parameter("Cost"),false);
-		canRegen = Get_Int_Parameter("RegenStartsAfterRepair") ? false : true;
-		reloadTime = Get_Int_Parameter("RegainTimer");
-		Set_Bullets(obj,Get_Parameter("WeaponPreset"),0);
-		GameObject *preview = Commands->Find_Object(previewObjectId);
-		if (preview)
-			Commands->Destroy_Object(preview);
-		previewObjectId = 0;
-		GameObject *placed = Commands->Create_Object(Get_Parameter("DeployPreset"),Commands->Get_Position(obj));
-		//if ((int)Get_Vector3_Parameter("MatchTeam[Preview|Deployed|Repaired]").Y)
-			//Commands->Set_Player_Type(placed,Commands->Get_Player_Type(obj));
-		Commands->Set_Facing(placed,Commands->Get_Facing(obj));
-		char params[220];
-		sprintf(params,"%d,%d,%s,%.0f,%d",this->Get_ID(),Commands->Get_ID(obj),Get_Parameter("RepairedPreset"),Get_Int_Parameter("MatchTeam"),Commands->Get_Player_Type(obj));
-		Commands->Attach_Script(placed," JMG_Utility_Infantry_Placed_Buildable_Object_Attached",params);
-	}
-	if (message == Get_Int_Parameter("EnableCustom"))
-	{
-		if (placementBlocked)
-			placementBlocked--;
-		if (!placementBlocked)
-		{
-			GameObject *preview = Commands->Find_Object(previewObjectId);
-			if (preview)
-				Commands->Set_Model(preview,Get_Parameter("PlaceablePreview"));
-		}
-	}
-	if (message == Get_Int_Parameter("DisableCustom"))
-	{
-		if (!placementBlocked)
-		{
-			GameObject *preview = Commands->Find_Object(previewObjectId);
-			if (preview)
-				Commands->Set_Model(preview,Get_Parameter("UnPlaceablePreview"));
-		}
-		placementBlocked++;
-	}
-	if (message == 9117115 && param == this->Get_ID())
-	{
-		reloadTime = Get_Int_Parameter("DestroyedRegenTime");
-		canRegen = true;
-	}
-	if (message == 9117116 && param == this->Get_ID())
-	{
-		reloadTime = 0;
-		Set_Bullets(obj,Get_Parameter("WeaponPreset"),1);
-	}
-	if (message == 9117117 && param == this->Get_ID())
-	{
-		canRegen = true;
-	}
-	if (message == 9117118 && param == this->Get_ID())
-	{
-		if (Get_Float_Parameter("Cost"))
-			Commands->Give_Money(obj,Get_Float_Parameter("Cost"),false);
-	}
-}
-void  DB_Infantry_Place_Buildable_Object::Killed(GameObject *obj,GameObject *killer)
-{
-	DestroyPreview();
-}
-void  DB_Infantry_Place_Buildable_Object::Destroyed(GameObject *obj)
-{
-	DestroyPreview();
-}
-void  DB_Infantry_Place_Buildable_Object::DestroyPreview()
-{
-	GameObject *preview = Commands->Find_Object(previewObjectId);
-	if (preview)
-		Commands->Destroy_Object(preview);
-	previewObjectId = 0;
-}
-
-ScriptRegistrant<DB_Infantry_Place_Buildable_Object> DB_Infantry_Place_Buildable_Object_Registrant("DB_Infantry_Place_Buildable_Object","WeaponPreset=null:string,DeployPreset=null:string,RepairedPreset=null:string,PlaceablePreview=null:string,UnPlaceablePreview=null:string,EnableCustom:int,DisableCustom:int,DeployCustom:int,RegainTimer:int,Cost:float,DeploymentBlockedMessage=Cannot deploy when near buildings.:string,PlacementMessage=You can now place another.:string,GrantWeapon=1:int,RegenStartsAfterRepair=1:int,MatchTeam=0:int,DestroyedRegenTime=1:int");
\ No newline at end of file
diff -uwrN source/scripts/DBIKScripts.h sourceold/scripts/DBIKScripts.h
--- source/scripts/DBIKScripts.h	2016-11-19 11:05:09.562453500 +1000
+++ sourceold/scripts/DBIKScripts.h	2016-11-05 18:51:15.478826100 +1000
@@ -63,7 +63,7 @@
 	void Custom(GameObject* ObeliskObj, int type, int Param, GameObject* Sender);
 };
 
-class dblaney_Nod_Obelisk_Weapon : public ScriptImpClass {
+class Obelisk_Buildable_Weapon_CnC : public ScriptImpClass {
 	int EnemyID;
 	int EffectID;
 	bool Firing;
@@ -127,21 +127,3 @@
 	void Created(GameObject *obj);
 	void Timer_Expired(GameObject *obj, int number);
 };
-
-class DB_Infantry_Place_Buildable_Object : public ScriptImpClass {
-	bool canRegen;
-	int previewObjectId;
-	int placementBlocked;
-	int reloadTime;
-	void Created(GameObject *obj);
-	void Timer_Expired(GameObject *obj,int number);
-	void Custom(GameObject *obj,int message,int param,GameObject *sender);
-	void Killed(GameObject *obj,GameObject *killer);
-	void Destroyed(GameObject *obj);
-	void DestroyPreview();
-public:
-	DB_Infantry_Place_Buildable_Object()
-	{
-		placementBlocked = 0;
-	}
-};
\ No newline at end of file
diff -uwrN source/scripts/DBScripts.cpp sourceold/scripts/DBScripts.cpp
--- source/scripts/DBScripts.cpp	2016-11-25 15:02:11.915641100 +1000
+++ sourceold/scripts/DBScripts.cpp	2016-11-05 18:51:15.478826100 +1000
@@ -19,7 +19,6 @@
 #include "weaponmgr.h"
 #include "GameObjManager.h"
 #include "MoveablePhysClass.h"
-#include "DB_General.h"
 
 
 
@@ -42,15 +41,16 @@
 	
 	UpgradeID=Get_Int_Parameter("UpgradeID");
 
+	/*  Need to implement research system into tt code before this can be uncommented.
 	if(!UpgradeID)
 		UpgradeID=1;
 
-	Attach_Script_Once(obj,"DB_Research_Listener","");
 	if(UpgradeComplete.Exists(UpgradeID))
 	{
 		amount = Get_Float_Parameter("UpgradeAmount");
 		Upgraded=true;
 	}
+	*/
 
 	if(Commands->Get_Player_Type(obj)!=-2)
 	{
@@ -59,7 +59,7 @@
 		Play_Damage = true;
 	}
 }
-
+/*	Need to implement research system into tt code before this can be uncommented.
 	void Custom(GameObject *obj, int message, int param, GameObject *sender)
 	{
 		if (!Upgraded &&  message == Research_Technology::UPGRADE_INFANTRY_ARMOR_CUSTOM && param==UpgradeID)
@@ -74,7 +74,7 @@
 
 		}
 	}
-
+	*/
 	void Detach(GameObject *obj)
 	{
 		if (Exe != 4)
diff -uwrN source/scripts/DamageableGameObjDef.h sourceold/scripts/DamageableGameObjDef.h
--- source/scripts/DamageableGameObjDef.h	2016-11-24 12:15:26.069870700 +1000
+++ sourceold/scripts/DamageableGameObjDef.h	2016-10-31 07:17:12.333013500 +1000
@@ -35,7 +35,6 @@
 	int											Get_Encyclopedia_ID (void) const		{ return EncyclopediaID; }
 	const StringClass &						Get_Icon_Filename (void) const		{ return InfoIconTextureFilename; }
 	int											Get_Translated_Name_ID (void) const	{ return TranslatedNameID; }
-	void											Set_Translated_Name_ID (int TransID) {TranslatedNameID = TransID; }
 	const DefenseObjectDefClass &			Get_DefenseObjectDef( void ) const	{ return DefenseObjectDef; }
 	int											Get_Default_Player_Type(void) const { return DefaultPlayerType; }
 	void Set_Name_ID(int id) {TranslatedNameID = id;}
diff -uwrN source/scripts/SoldierGameObj.h sourceold/scripts/SoldierGameObj.h
--- source/scripts/SoldierGameObj.h	2016-12-09 10:52:52.622021900 +1000
+++ sourceold/scripts/SoldierGameObj.h	2016-10-31 07:17:12.408013500 +1000
@@ -200,9 +200,6 @@
 	void Set_Movement_Loiters_Allowed(bool allowed){movementLoitersAllowed = allowed;};
 	bool Get_Movement_Loiter_Allowed(){return movementLoitersAllowed;};
 	bool Get_Use_Stock_Ghost_Behavior(){return useStockGhostBehavior;}
-	void Set_Override_Muzzle_Direction(bool override){OverrideMuzzleDirection = override; Set_Object_Dirty_Bit(BIT_RARE, true);};
-	bool Get_Override_Muzzle_Direction(){return OverrideMuzzleDirection;};
-	virtual int Get_Contact_Surface_Type();
 protected:
 	RenderObjClass		*	WeaponRenderModel; //2416
 	RenderObjClass		*	BackWeaponRenderModel; //2420
@@ -271,7 +268,6 @@
 	float						LastScale;
 	bool						movementLoitersAllowed;
 	bool						useStockGhostBehavior;
-	bool						OverrideMuzzleDirection;
 	TT_DEPRECATED("Do not use") int						Check(void);
 }; // size: 3404
 
diff -uwrN source/scripts/WeaponClass.h sourceold/scripts/WeaponClass.h
--- source/scripts/WeaponClass.h	2016-12-10 07:57:58.700001000 +1000
+++ sourceold/scripts/WeaponClass.h	2016-10-31 07:17:12.434013500 +1000
@@ -154,7 +154,7 @@
 
 	//new
 	SCRIPTS_API float	Get_Targeting_Range(void);
-	bool				Tilt_Gun_While_Reloading(){return tiltGunWhileReloading && Definition->DoTiltWhileReloading;}
+	bool				Tilt_Gun_While_Reloading(){return tiltGunWhileReloading;}
 private:
 	void				Fire_C4( const AmmoDefinitionClass *ammo_def );
 	bool				Fire_Beacon( const AmmoDefinitionClass *ammo_def );
diff -uwrN source/scripts/anticheat.ini sourceold/scripts/anticheat.ini
--- source/scripts/anticheat.ini	2016-12-15 07:01:56.103000900 +1000
+++ sourceold/scripts/anticheat.ini	2016-10-31 07:17:12.438013500 +1000
@@ -121,12 +121,3 @@
 18f1d1600b147d3ad8fdc91bc968ec95=tank_stealth_idle.wav
 9dc7f9fe39e97122f164dec1dbd1bdc4=tank_stealth_start.wav
 68cb626de41e5c24b0fc38879cc4ee1e=tank_stealth_stop.wav
-7f56aec47f609787b8ce3c625eb37d6a=always3.dat
-27d624005ab42512491de2e988d3d999=mgagd_ag_2.w3d
-04f3774ab7fc2cfc8feea2d6d095ee49=mgagd_ag_2.w3d
-5bbb2fe532bd953136c3046cacfe3500=mgwep_ag_4.w3d
-54c3967ac16fb7ce17b42c53069e5e8d=mgwep_ag_4.w3d
-a655afd0d532d8c3f4d01c487355cbc4=s_b_tall.w3d
-8aa2f2487753f77b22938cfee401a1d7=s_b_wide.w3d
-6c2fb7ba4d60b6b21c23f5284001881b=s_c_tall.w3d
-2242fbc4557be6f044a5c708aef7b979=s_c_wide.w3d
diff -uwrN source/scripts/dllmain.cpp sourceold/scripts/dllmain.cpp
--- source/scripts/dllmain.cpp	2016-11-24 12:15:26.070870700 +1000
+++ sourceold/scripts/dllmain.cpp	2016-11-05 08:34:36.959417100 +1000
@@ -362,7 +362,6 @@
 	Has_Timer = (htm)Address(tt,"Has_Timer");
 	Set_Background_Music_Player_Offset = (sbgmo)Address(tt,"Set_Background_Music_Player_Offset");
 	Set_Camera_Player = (setcam)Address(tt,"Set_Camera_Player");
-	Set_Definition_TranslationID_Player = (settran)Address(tt,"Set_Definition_TranslationID_Player");
 
 #ifdef SSGM
 	SSGMGameManager::Init();
diff -uwrN source/scripts/dp88_customAI.cpp sourceold/scripts/dp88_customAI.cpp
--- source/scripts/dp88_customAI.cpp	2016-11-19 11:05:09.562453500 +1000
+++ sourceold/scripts/dp88_customAI.cpp	2016-10-31 07:17:12.461013500 +1000
@@ -109,14 +109,6 @@
   Commands->Enable_Enemy_Seen(obj, true);
   Commands->Enable_Vehicle_Transitions(obj, false);
 
-  //Make Turret Face default direction
-  if(obj->As_VehicleGameObj())
-  {
-	  Vector3 pos = Commands->Get_Position(obj);
-	  Vector3 target_direction = obj->As_VehicleGameObj()->Get_Muzzle(0).Get_X_Vector();
-	  obj->As_VehicleGameObj()->Set_Targeting(pos + target_direction * 100);
-  }
-
   // Start timer which runs for the lifetime of this object
   Commands->Start_Timer ( obj, this, 1.0, TIMER_AI_THINK );
 }
diff -uwrN source/scripts/engine_game.cpp sourceold/scripts/engine_game.cpp
--- source/scripts/engine_game.cpp	2016-11-08 06:30:33.434000800 +1000
+++ sourceold/scripts/engine_game.cpp	2016-10-31 07:17:12.472013500 +1000
@@ -643,7 +643,7 @@
 	{
 		if (it->Is_MCT())
 		{
-			return it.Peek_Obj();
+			return it.Get_Obj();
 		}
 	}
 	return 0;
diff -uwrN source/scripts/engine_tt.cpp sourceold/scripts/engine_tt.cpp
--- source/scripts/engine_tt.cpp	2016-11-24 12:15:26.071870700 +1000
+++ sourceold/scripts/engine_tt.cpp	2016-11-05 08:34:36.960417100 +1000
@@ -212,7 +212,6 @@
 SCRIPTS_API fpup Force_Position_Update_Player;
 SCRIPTS_API sbgmo Set_Background_Music_Player_Offset;
 SCRIPTS_API setcam Set_Camera_Player;
-SCRIPTS_API settran Set_Definition_TranslationID_Player;
 
 SCRIPTS_API bool Can_Team_Build_Vehicle(int Team)
 {
@@ -382,23 +381,6 @@
 			}
 		}
 		x = x->Next();
-	}
-}
-
-SCRIPTS_API void Create_2D_WAV_Sound_Team_Dialog(const char *soundname,int team)
-{
-	SLNode<SoldierGameObj> *x = GameObjManager::StarGameObjList.Head();
-	while (x)
-	{
-		GameObject *o = x->Data();
-		if (o)
-		{
-			if ((Get_Object_Type(o) == team) || (team == 2))
-			{
-				Create_2D_Wave_Sound_Dialog_Player(o,soundname);
-			}
-		}
-		x = x->Next();
 	}
 }
 
diff -uwrN source/scripts/engine_tt.h sourceold/scripts/engine_tt.h
--- source/scripts/engine_tt.h	2016-11-24 12:15:26.071870700 +1000
+++ sourceold/scripts/engine_tt.h	2016-11-05 08:34:36.961417100 +1000
@@ -167,7 +167,6 @@
 typedef bool (*iea) (GameObject *obj);
 typedef void (*sbgmo) (GameObject *obj,const char *music,float startoffset);
 typedef void (*setcam) (GameObject *obj,const char *camera);
-typedef void (*settran) (GameObject *obj,int defid,int stringid);
 SCRIPTS_API extern gpl Get_Player_List;
 SCRIPTS_API extern gcmi Get_Current_Map_Index;
 SCRIPTS_API extern gm Get_Map;
@@ -338,7 +337,6 @@
 SCRIPTS_API extern htm Has_Timer;
 SCRIPTS_API extern sbgmo Set_Background_Music_Player_Offset;
 SCRIPTS_API extern setcam Set_Camera_Player;
-SCRIPTS_API extern settran Set_Definition_TranslationID_Player;
 
 class SCRIPTS_API JFW_Key_Hook_Base : public ScriptImpClass {
 public:
@@ -445,7 +443,6 @@
 SCRIPTS_API void Create_Sound_Team(const char *soundname,const Vector3 & position,GameObject *obj,int team); //play a 3D sound for a team
 SCRIPTS_API void Create_2D_Sound_Team(const char *soundname,int team); //play a 2D sound for a team
 SCRIPTS_API void Create_2D_WAV_Sound_Team(const char *soundname,int team); //play a 2D WAV sound for a team
-SCRIPTS_API void Create_2D_WAV_Sound_Team_Dialog(const char *soundname,int team); //play a 2D WAV Dialogue sound for a team
 SCRIPTS_API void Create_3D_WAV_Sound_At_Bone_Team(const char *soundname,GameObject *obj,const char *bonename,int team); //play a 3D WAV sound at a bone for a team
 SCRIPTS_API void Create_3D_Sound_At_Bone_Team(const char *soundname,GameObject *obj,const char *bonename,int team); //play a 3D sound at a bone for a team
 SCRIPTS_API void Send_Message_Team(int team,unsigned int red,unsigned int green,unsigned int blue,const char *msg); //send a message to a team
